Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Interface RecordReader

All Known Subinterfaces:
  RecordFilter

All Known Implementing Classes:
  AbstractRecordFilter, AbstractRecordReader, CurrentRecordReader, DefaultFlatFileReader, DirectoryReader, FlatFileReader, MultipleRecordFilter, NullRecordFilter, ParameterReader, RecordFilterPrefilter, RecordReader.NullRecordReader, RecordReaderFilterAdaptor, RecordReaderPrefilter, RecordWriterFilterAdaptor, SplitRecordReader, SqlBatchWriter, SqlGrep, SqlReader, SubtreeRecordReader

    public interface RecordReader

Nested Class Summary
`static class` | `RecordReader.NullRecordReader`

Field Summary
`static RecordReader` | `NULL`

Method Summary
`void` | `discardRecord(ServiceContext context, Flow flow, ServingXmlException e)`
`RecordWriter` | `getDiscardWriter()`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`RecordWriter` | `getRecordWriter()`
`void` | `readRecords(ServiceContext context, Flow flow)`
`void` | `setDiscardWriter(RecordWriter discardWriter)`
`void` | `setRecordWriter(RecordWriter recordWriter)`

Field Detail

### NULL

    static final RecordReader NULL

Method Detail

### readRecords

    void readRecords(ServiceContext context,
                     Flow flow)

### getKey

    Key getKey()

### getExpirable

    Expirable getExpirable()

### getRecordWriter

    RecordWriter getRecordWriter()

### setRecordWriter

    void setRecordWriter(RecordWriter recordWriter)

### getDiscardWriter

    RecordWriter getDiscardWriter()

### setDiscardWriter

    void setDiscardWriter(RecordWriter discardWriter)

### discardRecord

    void discardRecord(ServiceContext context,
                       Flow flow,
                       ServingXmlException e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD